> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger webhook

> Trigger webhook.



## OpenAPI

````yaml POST /v1/webhooks/{webhookId}/trigger
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/webhooks/{webhookId}/trigger:
    post:
      description: Trigger webhook.
      operationId: postV1WebhooksByWebhookIdTrigger
      parameters:
        - schema:
            type: string
          in: path
          name: webhookId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    type:
                      type: string
                      const: recording_added
                    recordingId:
                      type: string
                      description: Recording identifier.
                  required:
                    - type
                    - recordingId
                - type: object
                  properties:
                    type:
                      type: string
                      const: recording_updated
                    recordingId:
                      type: string
                      description: Recording identifier.
                  required:
                    - type
                    - recordingId
      responses:
        '200':
          description: Webhook was successfully triggered
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      ok:
                        type: boolean
                    required:
                      - ok
                required:
                  - result
        '400':
          description: Recording is not accessible to workspace members
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````